<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets" template="/index2.xhtml"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<ui:define name="content">
		<section class="content profile-page">
			<div class="block-header">
				<div class="row">
					<div class="col-lg-7 col-md-6 col-sm-12">
						<h2>
							Profile <small>Welcome to Oreo</small>
						</h2>
					</div>
					<h:inputHidden  value="#{doctorBean.lat}" id="lat" /> 
										<h:inputHidden  value="#{doctorBean.lng}" id="lng"/>
					<div class="col-lg-5 col-md-6 col-sm-12">
						<button
							class="btn btn-white btn-icon btn-round hidden-sm-down float-right m-l-10"
							type="button">
							<i class="zmdi zmdi-edit"></i>
						</button>
						<ul class="breadcrumb float-md-right">
							<li class="breadcrumb-item"><a href="index.html"><i
									class="zmdi zmdi-home"></i> Oreo</a></li>
							<li class="breadcrumb-item active">Profile</li>
						</ul>
					</div>
				</div>
			</div>
			<div class="container-fluid">
				<div class="row clearfix">
					<div class="col-lg-4 col-md-12">
						<div class="card profile-header">
							<div class="body text-center">
								<div class="profile-image">
									<img src="#{doctorBean.img}" alt="" />
								</div>
								<div>
									<h4 class="m-b-0">
										<strong>Dr. <h:outputText value="#{doctorBean.name}" /></strong>
									</h4>
									<span class="job_post"><h:outputText
											value="#{doctorBean.specialitie}" /></span>
									<p>
										<h:outputText value="#{doctorBean.address}" />
										<br />
										<h:outputText value="#{doctorBean.city}" />
									</p>
								</div>
								<div>
									<button class="btn btn-primary btn-round btn-simple">Message</button>
								</div>
								<p class="social-icon m-t-5 m-b-0">
									<a title="Twitter" href="javascript:void(0);"><i
										class="zmdi zmdi-twitter"></i></a> <a title="Facebook"
										href="javascript:void(0);"><i class="zmdi zmdi-facebook"></i></a>
									<a title="Google-plus" href="javascript:void(0);"><i
										class="zmdi zmdi-twitter"></i></a> <a title="Behance"
										href="javascript:void(0);"><i class="zmdi zmdi-behance"></i></a>
									<a title="Instagram" href="javascript:void(0);"><i
										class="zmdi zmdi-instagram "></i></a>
								</p>
							</div>
						</div>


					</div>

					<div class="col-lg-8 col-md-12">
						<div class="card">
							<ul class="nav nav-tabs">
								<li class="nav-item"><a class="nav-link active show"
									data-toggle="tab" href="#about">About</a></li>
								<li class="nav-item"><a class="nav-link" data-toggle="tab"
									href="#Account">Account</a></li>
							</ul>
							<div class="tab-content">
								<div class="tab-pane body active show" id="about">
									<p>
										Dr.
										<h:outputText value="#{doctorBean.name}" />
										
										<h:outputText value="#{doctorBean.description}" />
									</p>
									<h6>Qualifications</h6>
									<hr />

									<ul class="list-unstyled">
										<ui:repeat var="skill" value="#{doctorBean.skills}">
											<li>
												<p>
													<h:outputText value="#{doctorBean.skill}" />
												</p>
											</li>
										</ui:repeat>

									</ul>
									<h6>Specialties</h6>
									<hr />
									<ul class="list-unstyled specialties">
										<h:outputText value="#{doctorBean.specialitie}" />
									</ul>
								</div>

							</div>
						</div>
						<div class="card">
						<div id="map" style="width: 520px; height: 550px"></div>
<script>
         // Creating map options
        setTimeout(function(){ 
        	var mapOptions = {
                    center: [48.6223204, 2.12316090000002],
                    zoom: 5
                 }
                 // Creating a map object
                 var map = new L.map('map', mapOptions);
                 
                 // Creating a Layer object
                 var layer = new L.TileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png');
                 
                 // Adding layer to the map
                 map.addLayer(layer);
                 
                 
                 var popup = L.popup();
                
                 var lat = document.getElementById("lat").value;
                 var lng = document.getElementById("lng").value;
                 var marker = L.marker([lat, lng]).addTo(map);
                 
             }, 1000);
        
         
      </script>
      
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/json2/20160511/json2.min.js"></script>
						</div>
					</div>
				</div>
			</div>
		</section>
	</ui:define>
</ui:composition>